<div class="abrir-modal animacion fadeIn" *ngIf="modalService.modal">
    <div class="modal" tabindex="-1" role="dialog" style="display: block;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">{{titulo}}</h5>
                    <button (click)="cerrarModal()" type="button" class="btn-close" data-bs-dismiss="modal"
                        aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <div class="row">
                            <div class="col-sm">

                                <ul *ngIf="recepcionista" class="list-group text-dark mb-3">

                                    <li class="list-group-item active">RUT: {{recepcionista.rut}}</li>
                                    <li class="list-group-item">NOMBRE: {{recepcionista.nombre}}</li>
                                    <li class="list-group-item">APELLIDOS: {{recepcionista.apellidoPaterno}}
                                        {{recepcionista.apellidoMaterno}}</li>
                                    <li class="list-group-item">FECHA NACIMIENTO: {{recepcionista.fechaNacimiento |
                                        date:"dd/MM/yyyy"}}</li>
                                    <li class="list-group-item">EMAIL: {{recepcionista.correo}}</li>
                                    <li class="list-group-item">FONO: {{recepcionista.telefono}}</li>
                                    <li class="list-group-item">DIRECCION: {{recepcionista.direccion}}</li>
                                    <li class="list-group-item">SUELDO: ${{recepcionista.sueldo}}</li>

                                </ul>
                                <div class="input-group mb-3">
                                    <input (change)="seleccionarFoto($event)" type="file" class="form-control"
                                        id="inputGroupFile04" aria-describedby="inputGroupFileAddon04"
                                        aria-label="Upload">
                                    <button (click)="subirFoto()" [disabled]="!fotoSeleccionada"
                                        class="btn btn-outline-primary" type="button" id="inputGroupFileAddon04">Subir
                                        imagen</button>
                                </div>

                                <div *ngIf="progreso > 0" class="progress" style="height: 40px">
                                    <div class="progress-bar progress-bar-striped" role="progressbar"
                                        [ngStyle]="{width: progreso+'%'}" attr.aria-valuenow="{{progreso}}"
                                        aria-valuemin="0" aria-valuemax="100">{{progreso}}%</div>
                                </div>



                            </div>
                            <div class="col-sm">
                                <img *ngIf="recepcionista?.foto"
                                    src="http://localhost:8080/mfit/uploads/img/recepcionistas/{{recepcionista.foto}}"
                                    alt="{{recepcionista.foto}}" class="img-thumbnail rounded">

                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button (click)="cerrarModal()" type="button" class="btn btn-secondary"
                        data-bs-dismiss="modal">Cerrar</button>
                </div>
            </div>
        </div>
    </div>

</div>